# Class Metadata

#### Hierarchy

- Metadata

- Defined in platforms/solana/protocols/tokenBridge/src/utils/splMetadata.ts:275

#####
Index

### Constructors

constructor

### Properties

data
isMutable
key
mint
primarySaleHappened
updateAuthority

### Methods

deserialize

## Constructors

### constructor

- new Metadata(key, updateAuthority, mint, data, primarySaleHappened, isMutable): Metadata

- #### Parameters

  - ##### key: number

  - ##### updateAuthority: PublicKeyInitData

  - ##### mint: PublicKeyInitData

  - ##### data: Data

  - ##### primarySaleHappened: boolean

  - ##### isMutable: boolean

  #### Returns Metadata

  - Defined in platforms/solana/protocols/tokenBridge/src/utils/splMetadata.ts:283

## Properties

### data

data: Data

- Defined in platforms/solana/protocols/tokenBridge/src/utils/splMetadata.ts:279

### isMutable

isMutable: boolean

- Defined in platforms/solana/protocols/tokenBridge/src/utils/splMetadata.ts:281

### key

key: Key

- Defined in platforms/solana/protocols/tokenBridge/src/utils/splMetadata.ts:276

### mint

mint: PublicKey

- Defined in platforms/solana/protocols/tokenBridge/src/utils/splMetadata.ts:278

### primarySaleHappened

primarySaleHappened: boolean

- Defined in platforms/solana/protocols/tokenBridge/src/utils/splMetadata.ts:280

### updateAuthority

updateAuthority: PublicKey

- Defined in platforms/solana/protocols/tokenBridge/src/utils/splMetadata.ts:277

## Methods

### `Static` deserialize

- deserialize(data): Metadata

- #### Parameters

  - ##### data: Buffer

  #### Returns Metadata

  - Defined in platforms/solana/protocols/tokenBridge/src/utils/splMetadata.ts:299

Generated using TypeDoc